virtualEndpoint: getEffectivePermissions
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
查看当前经过身份验证的用户的有效权限。 GetEffectivePermissions 是检索当前经过身份验证的用户的有效权限的函数,可帮助 UX 隐藏或禁用当前用户无权访问的内容。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
CloudPC.Read.All、CloudPC.ReadWrite.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
不支持。
HTTP 请求
GET /deviceManagement/virtualEndpoint/getEffectivePermissions
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此函数会在响应正文中返回 200 OK 响应代码和一个 String 集合。 如果用户具有完全权限,则响应为 ["*"]。
示例
请求
GET https://graph.microsoft.com/beta/deviceManagement/virtualEndpoint/getEffectivePermissions
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var getEffectivePermissions = await graphClient.DeviceManagement.VirtualEndpoint
.GetEffectivePermissions()
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let getEffectivePermissions = await client.api('/deviceManagement/virtualEndpoint/getEffectivePermissions')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/deviceManagement/virtualEndpoint/getEffectivePermissions"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphString *String = [[MSGraphString alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
VirtualEndpointGetEffectivePermissionsCollectionPage getEffectivePermissions = graphClient.deviceManagement().virtualEndpoint()
.getEffectivePermissions()
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.DeviceManagement().VirtualEndpoint().GetEffectivePermissions()().Get()
Import-Module Microsoft.Graph.DeviceManagement.Functions
Get-MgDeviceManagementVirtualEndpointEffectivePermission
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"value":[
"Microsoft.CloudPC/CloudPCs/Read"
]
}